## Genuine Installation Media

All download links leads to genuine files only.

| **Windows**                             |                                                                                                                                                                                                                                      |
|:------------------------------|:----------------------------------------|
| Windows 11 / 10 / 8.1                   | [Link1](https://www.microsoft.com/software-download) - [Link2](https://ave9858.github.io/msdl/)                                                                                                                                      |
| Windows 7                               | [Link1](https://pastebin.com/raw/Hk2RgYzF) - [Link2](https://stuff.mtt-m1.workers.dev/Windows%207/) - [Link3](https://isofiles.bd581e55.workers.dev/Windows%207/)                                                                    |
| Windows 10 Enterprise LTSC              | [Link1](https://opendirectory.luzea.de/luzea/Windows_10_Enterprise_LTSC_2021/) - [Link2](https://stuff.mtt-m1.workers.dev/Windows%2010/) - [Link3](https://isofiles.bd581e55.workers.dev/Windows%2010/) (Refresh if it doesn't load) |
| **Office**                              |                                                                                                                                                                                                                                      |
| Office C2R Installers (Retail)          | [Link1](office_c2r_links.html) (Easy to install)                                                                                                                                                                                     |
| Office C2R Custom Install (Retail / VL) | [Link1](office_c2r_custom.html) (Requires more steps, allows customization)                                                                                                                                                          |
| Office MSI VL (Old versions)            | [Link1](https://opendirectory.luzea.de/Enthousiast/Office/)                                                                                                                                                                          |

Full collection through SVF files can be found [here](https://pastebin.com/raw/Hk2RgYzF).\
Thanks to GezoeSloog, microtechton, Luzea, Enthousiast, abbodi1406 for providing download links.

------------------------------------------------------------------------

## How to use .svf files?

As an example, if you want to download a .iso file of a French language version of Office 2010 SP1 Pro Vl, you will need to do the followings.

-   Download a full-size English .iso file

-   Download a small-size French .svf file

-   Put English .iso and French svf file and tool [SVF-extractor](https://www.softpedia.com/get/System/Back-Up-and-Recovery/SVF-eXtractor.shtml) into a folder altogether.

-   Then use the extract option in the tool, and it will generate an original French language full .iso file.

------------------------------------------------------------------------

## How to verify genuinity of files?

-   We can use [file hashing method](https://en.wikipedia.org/wiki/File_verification) to verify if a file is tempered or not.

-   But we must first know the actual checksum of the file.

-   Microsoft does not publish a checksums list on public links for their files, however, it's available to paid subscribers of [MVS](https://visualstudio.microsoft.com/subscriptions/).

-   There are many places where we can find the checksums for Microsoft files and compare them with our files with tools like [HashCheck](https://github.com/gurnec/HashCheck/releases). Below is a list of sites containing checksums.

    1.  [files.rg-adguard](https://files.rg-adguard.net/) (most complete collection)
    2.  [genuine-iso-verifier](https://genuine-iso-verifier.weebly.com/)
    3.  [msdn.rg-adguard](https://msdn.rg-adguard.net/)
    4.  [MVS dump](https://awuctl.github.io/mvs/)
    5.  [sha1.rg-adguard](https://sha1.rg-adguard.net/)

------------------------------------------------------------------------

## Need help?

-   Reach out on our [Discord](https://discord.gg/gjJEfq7ux8) (signup not required).
